# gdcm::JPEGLSCodec Class Reference

JPEG-LS. More...

`#include <gdcmJPEGLSCodec.h>`

Inheritance diagram for gdcm::JPEGLSCodec:
[legend]
Collaboration diagram for gdcm::JPEGLSCodec:
[legend]

List of all members.

## Public Member Functions

| JPEGLSCodec ()
| ~JPEGLSCodec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | Code (DataElement const &in, DataElement &out)
| Code.
bool | Decode (DataElement const &in, char *outBuffer, uint32_t inBufferLength, uint32_t inXMin, uint32_t inXMax, uint32_t inYMin, uint32_t inYMax, uint32_t inZMin, uint32_t inZMax)
bool | Decode (DataElement const &is, DataElement &os)
| Decode.
unsigned long | GetBufferLength () const
bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
bool | GetLossless () const
void | SetBufferLength (unsigned long l)
void | SetLossless (bool l)
void | SetLossyError (int error)
| [0-3] generally

## Detailed Description

JPEG-LS.

Note:
  codec that implement the JPEG-LS compression this is an implementation of ImageCodec for JPEG-LS

It uses the CharLS JPEG-LS implementation http://charls.codeplex.com

## Constructor & Destructor Documentation

gdcm::JPEGLSCodec::JPEGLSCodec | ( |  | ) |

gdcm::JPEGLSCodec::~JPEGLSCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::JPEGLSCodec::CanCode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this coder support this transfer syntax (can code it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEGLSCodec::CanDecode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this decoder support this transfer syntax (can decode it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEGLSCodec::Code | ( | DataElement const & | in_,
|  | DataElement & | out_
| ) |  | `[virtual]`

Code.

Reimplemented from gdcm::Coder.

bool gdcm::JPEGLSCodec::Decode | ( | DataElement const & | is_,
|  | DataElement & | os
| ) |  | `[virtual]`

Decode.

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEGLSCodec::Decode | ( | DataElement const & | in,
|  | char * | outBuffer,
|  | uint32_t | inBufferLength,
|  | uint32_t | inXMin,
|  | uint32_t | inXMax,
|  | uint32_t | inYMin,
|  | uint32_t | inYMax,
|  | uint32_t | inZMin,
|  | uint32_t | inZMax
| ) |  | `[inline]`

unsigned long gdcm::JPEGLSCodec::GetBufferLength | ( |  | ) | const`[inline]`

bool gdcm::JPEGLSCodec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts
| ) |  | `[virtual]`

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEGLSCodec::GetLossless | ( |  | ) | const

void gdcm::JPEGLSCodec::SetBufferLength | ( | unsigned long | l | ) | `[inline]`

void gdcm::JPEGLSCodec::SetLossless | ( | bool | l | ) |

void gdcm::JPEGLSCodec::SetLossyError | ( | int | error | ) |

[0-3] generally

The documentation for this class was generated from the following file:

- gdcmJPEGLSCodec.h